Skip to main content
POST
/
organizations
/
{organizationId}
/
teams
Create a Team
curl --request POST \
  --url https://api.astronomer.io/platform/v1beta1/organizations/{organizationId}/teams \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "My Team",
  "description": "My Team description",
  "memberIds": [
    "clma67byh000008md1gr995ez"
  ],
  "organizationRole": "ORGANIZATION_MEMBER"
}
'
{
  "createdAt": "2022-11-22T04:37:12Z",
  "id": "clma5ftgk000008mhgev00k7d",
  "isIdpManaged": false,
  "name": "My Team",
  "organizationId": "clma5g8q6000108mh88g27k1y",
  "organizationRole": "ORGANIZATION_MEMBER",
  "updatedAt": "2022-11-22T04:37:12Z",
  "createdBy": {
    "id": "clm8qv74h000008mlf08scq7k",
    "apiTokenName": "my-token",
    "avatarUrl": "https://avatar.url",
    "fullName": "Jane Doe",
    "subjectType": "USER",
    "username": "user1@company.com"
  },
  "dagRoles": [
    {
      "deploymentId": "clm8t5u4q000008jq4qoc3031",
      "role": "DAG_VIEWER",
      "dagId": "my_dag",
      "dagTag": "team-a"
    }
  ],
  "deploymentRoles": [
    {
      "deploymentId": "clm8t5u4q000008jq4qoc3031",
      "role": "DEPLOYMENT_ADMIN"
    }
  ],
  "description": "My Team description",
  "rolesCount": 1,
  "updatedBy": {
    "id": "clm8qv74h000008mlf08scq7k",
    "apiTokenName": "my-token",
    "avatarUrl": "https://avatar.url",
    "fullName": "Jane Doe",
    "subjectType": "USER",
    "username": "user1@company.com"
  },
  "workspaceRoles": [
    {
      "role": "WORKSPACE_MEMBER",
      "workspaceId": "clm8t5u4q000008jq4qoc3036"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://astronomer-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

The ID of the Organization where the Team is created.

Body

application/json

The request body for creating a Team.

name
string
required

The Team's name.

Example:

"My Team"

description
string

The Team's description.

Example:

"My Team description"

memberIds
string[]

The list of IDs for users to add to the Team.

Example:
["clma67byh000008md1gr995ez"]
organizationRole
enum<string>

The Team's Organization role.

Available options:
ORGANIZATION_OWNER,
ORGANIZATION_OBSERVE_ADMIN,
ORGANIZATION_OBSERVE_MEMBER,
ORGANIZATION_BILLING_ADMIN,
ORGANIZATION_MEMBER
Example:

"ORGANIZATION_MEMBER"

Response

OK

createdAt
string<date-time>
required

The time when the Team was created in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

Example:

"2022-11-22T04:37:12Z"

id
string
required

The Team's ID.

Example:

"clma5ftgk000008mhgev00k7d"

isIdpManaged
boolean
required

Whether the Team is managed by an identity provider (IdP).

Example:

false

name
string
required

The Team's name.

Example:

"My Team"

organizationId
string
required

The ID of the Organization to which the Team belongs.

Example:

"clma5g8q6000108mh88g27k1y"

organizationRole
enum<string>
required

The Team's Organization role.

Available options:
ORGANIZATION_OWNER,
ORGANIZATION_OBSERVE_ADMIN,
ORGANIZATION_OBSERVE_MEMBER,
ORGANIZATION_BILLING_ADMIN,
ORGANIZATION_MEMBER
Example:

"ORGANIZATION_MEMBER"

updatedAt
string<date-time>
required

The time when the Team was last updated in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

Example:

"2022-11-22T04:37:12Z"

createdBy
object
dagRoles
object[]

The Team's role in each DAG it belongs to.

deploymentRoles
object[]

The Team's role in each Deployment it belongs to.

description
string

The Team's description.

Example:

"My Team description"

rolesCount
integer

The number of roles the Team has.

Example:

1

updatedBy
object
workspaceRoles
object[]

The Team's role in each Workspace it belongs to.